extends Node

export var target_score: = 5

func _on_Left_area_entered(_area: Area2D) -> void:
	score_point(2)

func _on_Right_area_entered(_area: Area2D) -> void:
	score_point(1)

func score_point(player_scored: int) -> void:
	if player_scored == 1:
		PlayerData.p1_score += 1
	else:
		PlayerData.p2_score += 1
	get_tree().reload_current_scene()
	check_winner()
	

func check_winner() -> void:
	if PlayerData.p1_score >= target_score or PlayerData.p2_score >= target_score:
		get_tree().change_scene("res://src/Screens/ResultsScreen.tscn")
